org.cpsolver.exam.reports

## Class ExamInstructorConflicts

- java.lang.Object
- - org.cpsolver.exam.reports.ExamInstructorConflicts

-     public class ExamInstructorConflicts
      extends Object

  Export instructor direct, back-to-back, and more than two exams a day conflicts into a CSV file.
  Usage:

           new ExamInstructorConflicts(model).report().save(file);

  Version:
    ExamTT 1.3 (Examination Timetabling)
    Copyright (C) 2008 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamInstructorConflicts(ExamModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `report(Assignment<Exam,ExamPlacement> assignment)` generate report

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExamInstructorConflicts

          public ExamInstructorConflicts(ExamModel model)

      Constructor
      Parameters:
        `model` - examination timetabling model

  - ### Method Detail

    - #### report

          public CSVFile report(Assignment<Exam,ExamPlacement> assignment)

      generate report
      Parameters:
        `assignment` - current assignment
      Returns:
        resultant report